package cz.mendelu.adaptive.dao;

import java.util.List;

import cz.mendelu.adaptive.domain.ChapterResult;
import cz.mendelu.adaptive.domain.ExamResult;

public interface ResultDao {

	public void createExamResult(ExamResult examResult);
	
	public ExamResult findExamResultByResultId(Long resultId);
	
	public List<ChapterResult> findChapterResultByUserId(Long userId, Long examResultId);
	
	public List<ExamResult> findExamResultsByOwnerId(Long userId);
	
	public List<ExamResult> findExamResultsByUserId(Long userId);
	
	public List<ExamResult> findExamResultsByClassroomId(Long classroomId);
	
	public void removeExamResult(Long resultId);
}
