package cz.mendelu.adaptive.dao;

import java.util.List;

import cz.mendelu.adaptive.domain.Profile;
import cz.mendelu.adaptive.domain.User;

public interface UserDao {

	public User findUserById(Long id);
	
	public User findUserByEmail(String email);
	
	public List<User> findClassroomUsersByNick(String nickName);
	
	public List<User> findUsersByNick(String nickName);
	
	public List<User> findUsersBySchool(String school);
	
	public void createUser(User user);
	
	public void updateUser(User user);
	
	public Profile findProfile(Long userId);
	
	public void updateProfile(Profile profile);
	
	public void removeUserById(Long id);
}
