<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<script type="text/javascript">
			$(function() {
			
				$( "#show" ).click(function(){
					$( this ).prop("checked", false);
					window.location.href = "/webapp/classroomView";
				});
				$( "#owned" ).click(function(){
					$( this ).prop("checked", false);
					window.location.href = "/webapp/classroomOwned";
				});
				$( "#create" ).click(function(){
					$( this ).prop("checked", false);
					window.location.href = "/webapp/classroomCreate";
				});
				
				$( ".edit" ).click(function(){
					window.location.href = "/webapp/classroomEdit/" + $(this).find(".class").val();
				});
				$( ".manage" ).click(function(){
					window.location.href = "/webapp/classroomManage/" + $(this).find(".class").val();
				});
				$( ".remove" ).click(function(){
					window.location.href = "/webapp/classroomDelete/" + $(this).find(".class").val();
				});
				
			});
		</script>
		<style type="text/css">

			td{
				text-align: center;
			}
			
		</style>
	</head>
		<body>

			<fieldset>
				<div class="btnset">
					<h1>Owning classrooms</h1>
					<input id="show" type="radio"><label for="show">Show classrooms</label>
					<input id="owned" type="radio" checked="checked"><label for="owned">Show owned classrooms</label>
					<input id="create" type="radio"><label for="create">Create new classroom</label>
				</div>
			</fieldset>
			<br>
			<br>
			<br>
			<br>
			<div class="tabs">
				<ul>
					<li><a href="#assigned">Owned classes</a></li>
				</ul>
				<div id="assigned">
					<table>
					  <c:if test="${classes.isEmpty() }">
						  <ins>Not owning any classroom.</ins>
					  </c:if>	  
					  <c:if test="${!classes.isEmpty() }">
						  <tr>
						    <th>#</th>
						    <th>Classroom label</th>
						  </tr>
					  </c:if>
					  <c:forEach items="${classes }" var="clas" varStatus="i">
						  <tr>
						  	<td>${i.index+1}</td>
						    <td>${clas.label}</td>
							<td>
								<span class="ui-icon ui-icon-pencil ui-button ui-corner-all edit"><input class="class" type="hidden" value="${clas.classroomId}"/></span>
								<span class="ui-icon ui-icon-wrench ui-button ui-corner-all manage"><input class="class" type="hidden" value="${clas.classroomId}"/></span>
								<span class="ui-icon ui-icon-trash ui-button ui-corner-all remove"><input class="class" type="hidden" value="${clas.classroomId}"/></span>
							</td>						    
						  </tr>
					  </c:forEach>
					</table>
				</div>
			</div>
			<br>
			
		</body>
</html>