<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
	</head>
	<body>
		<h1>Exam detail</h1>
		<div class="tabs">
			
			<ul>
			    <li><a href="#details">Exam detail</a></li>
			</ul>
			
			<div id="details">
			<form method="post">
			   <input name="examId" type="hidden" value="${exam.examId}">
			   <input name="userId" type="hidden" value="${userId}">
			   <table>
				  <tr>
				    <th>Exam title:</th>
				    <td>${exam.examTitle}</td>
				  </tr>
				  <tr>
				    <th>Exam subject:</th>
				    <td>${exam.subjectTitle}</td>
				  </tr>
				  <tr>
				    <th>Chapters in exam:</th>
				    <td>${chapters}</td>
				  </tr>
				  <tr>
				    <th>Questions generated per chapter:</th>
				    <td>${exam.generateQuestions}</td>
				  </tr>
				  <tr>
				    <th>Require success rate per chapter:</th>
				    <td>${exam.requiredSuccess} %</td>
				  </tr>
				  <tr>
					<th></th>
					<td><input type="submit" value="Begin exam"></td> 				    
				  </tr>
			   </table>
			   </form>
			</div>
		</div>

	</body>
</html>