<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

	</head>
	<body>
		<div class="tabs">
			<ul>
				<li><a href="#edit">Edit Profile</a></li>
			</ul>
			<div id="edit">
				<form:form modelAttribute="Profile" method="POST">
					<form:hidden path="profileId"/>
					<table>
						<tr>
						    <th>UID:</th> <td>${User.id}</td>
						</tr>
						<tr>
						    <th>Email:</th> <td>${User.email}</td>
						</tr>
						<tr>
						    <th>Nickname:</th> <td>${User.nickName }</td>
						</tr>				
						<tr>
						    <th>First name:</th> <td><form:input path="firstName"/></td> <td><form:errors path="firstName" cssClass="error"/></td>
						</tr>
						<tr>
						    <th>Last name:</th> <td><form:input path="surname"/></td> <td><form:errors path="surname" cssClass="error"/></td>
						</tr>
						<tr>
						    <th>Academic title:</th> <td><form:input path="academicTitle"/></td> <td><form:errors path="academicTitle" cssClass="error"/></td>
						</tr>
						<tr>
						    <th>User type:</th>
						    <td>
						    	<form:select path="userType">
						    		<form:options items="${values}"/>
						    	</form:select>
						    </td>
						</tr>
						<tr>
						    <th>School or job:</th> <td><form:input path="schoolOrJob"/></td> <td><form:errors path="schoolOrJob" cssClass="error"/></td>
						</tr>
						<tr>
						    <th></th> <td><input type="submit" value="Save"></td>
						</tr>
					</table>
				</form:form>
			</div>
		</div>
	</body>	
</html>