<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
	<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
	<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
	<script type="text/javascript">
	$(function(){
		$("fieldset").addClass("ui-widget-content ui-corner-all");
		$( "input:submit" ).button();
		$( "input:button" ).button();	
		$( "input:password" ).addClass("ui-widget-content ui-corner-all");
		$(".btnset").buttonset();
		$(".tabs").tabs();
		$( "input:text" ).addClass("ui-widget-content ui-corner-all");
		$( "textarea" ).addClass("ui-widget-content ui-corner-all");
		$( "select" ).addClass("ui-widget-content ui-corner-all");
		

		$( ".ui-icon" ).hover(
			function() {
				$( this ).toggleClass("iconHover");
			},
			function() {
				$( this ).toggleClass("iconHover");
		});
			
		$( ".ui-icon" ).mousedown(function() {
			$( this ).toggleClass("iconClick");
		});
		
		$( ".ui-icon" ).mouseup(function() {
			$( this ).removeClass("iconClick");
		});
	}); 
	
	</script>
	
<style type="text/css">
	.iconHover {
		background-color: purple;
	}
	
	.iconClick{
		background-color: green;
	}
	
	.btnset{
		text-align: center;
	}
	
	body {
		font-size:12px;
		font-family:Verdana, Arial, Helvetica, sans-serif;
		background-color: black;
		color: green;
		min-width: 750px;
	}
	
	.error {
		font-weight: bolder;
		color: red;
		font-family: sans-serif;
	}
	
	div#wrapper {
		width: 96%;
		background: linear-gradient(
		  to bottom,
		  #5d9634,
		  #5d9634 50%,
		  #538c2b 50%,
		  #538c2b
		);
		margin-left: auto;
		margin-right: auto;
		border: thick double green;
		min-width: 600px;
		max-width: 1280px;
	}
	
	div#header {
		top:9%;
		padding: 1px;
		margin: 1px;
		border: thin solid green;
		text-align: center;
		background-color: green;
	}
	
	div#menu {
		position:absolute;
		width: 160px;
		background: repeating-linear-gradient(
			  45deg,
			  rgba(0, 0, 0, 0.2),
			  rgba(0, 0, 0, 0.2) 10px,
			  rgba(0, 0, 0, 0.3) 10px,
			  rgba(0, 0, 0, 0.3) 20px
			)
		  background-size: 20px 10px; 

	}
	
	div#body {
		min-height: 1000px;
		height: 80%;
		width: 75%;
		min-width: 200px;
		left: 150px;
		margin: 20px;
		position:relative;
		border: thick double green;

		text-indent: 25px;
		background: linear-gradient(
		  to top,
		  #458B74,
		  #458B74 50%,
		  #458B74 50%,
		  #538c2b
		);
	}
	
	div#footer {
		margin: 10px;
		position:relative;
		border-top: thin solid green;
		text-align: center;
		background-color: silver;
	}
	th {
		text-align: right;
	}
	h1 {
		text-align: center;
		color: black;
	}
	.ui-tabs{
		left: 5%;
		width: 90%;
	}
	
	h1 {
		border: none;
		background: 
		  /* On "top" */
		  repeating-linear-gradient(
		    45deg,
		    transparent,
		    transparent 10px,
		    green,
		    #000
		  ),
		  /* on "bottom" */
		  repeating-linear-gradient(
		    -45deg,
		    transparent 10px,
		    transparent,
		    green,
		    #000
		  );
	}
	fieldset .ui-button {
		width: 25%;
		font-size: medium;
		font-variant:small-caps;
		color: black;
		white-space: nowrap;	
	}

</style>

<title><tiles:getAsString name="title" /></title>
</head>
<body>
	<div id="wrapper">
		<div id="header">
			<tiles:insertAttribute name="header" />
		</div>
		<div id="menu">
			<tiles:insertAttribute name="menu" />
		</div>
	
		<div id="body">
			<tiles:insertAttribute name="body" />
		</div>
		<div id="footer">
			<tiles:insertAttribute name="footer" />
		</div>
	</div>
</body>
</html>