package cz.mendelu.adaptive.tools;

import java.util.Properties;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class MailProcessor {
	
	private static String HOST = "smtp.gmail.com";
	private static String TYPE = "text/html";
	private Properties properties = System.getProperties();
	
	private void sendConfirmationMail(String to, String nick, String Subject, String userName, String password){
		properties.setProperty("mail.smtp.host", HOST);
		properties.setProperty("mail.smtp.port", "587");
		properties.setProperty("mail.smtp.starttls.enable", "true");
		properties.setProperty("mail.smtp.auth", "true");
		Session session = Session.getDefaultInstance(properties);
		MimeMessage message = new MimeMessage(session);
		String content = "<h1>Registration complete!<h1>" + "<br />" + 
		"nickname: "  + nick + "<br />" + "login: " + userName + "<br />" + "password: " + password + "<br />";
		
		try {
			
			message.addRecipient(Message.RecipientType.TO , new InternetAddress(to));
			message.setSubject(Subject);
			message.setContent(content, TYPE);
			Transport.send(message, "IS.adaptive@gmail.com", "0adaptive0");
		} catch (AddressException e) {
		
			e.printStackTrace();
		} catch (MessagingException e) {
			
			e.printStackTrace();
		}
	}
	public MailProcessor(String to, String nick, String Subject, String userName, String password) {
		sendConfirmationMail(to, nick, Subject, userName, password);
	}
}
