<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<script type="text/javascript">
		$(function(){

			$( "#show" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "/webapp/classroomView";
			});
			$( "#owned" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "/webapp/classroomOwned";
			});
			$( "#manage" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "/webapp/classroomManage";
			});
			
		});
		</script>
		<style type="text/css">


		</style>
	</head>
	<body>

		<fieldset>
			<div class="btnset">
				<h1>Create new classroom</h1>
				<input id="show" type="radio"><label for="show">Show classrooms</label>
				<input id="owned" type="radio"><label for="owned">Show owned classrooms</label>
				<input id="create" type="radio" checked="checked"><label for="create">Create new classroom</label>
			</div>
		</fieldset>
		<br>			
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#createForm">Create classroom</a></li>
			</ul>
			<div id="createForm">
				<form:form modelAttribute="Classroom">
					<table>
						<tr>
							<th>Classroom label:</th>
							<td><form:input path="label"/></td>
							<td><form:errors path="label" cssClass="error"/></td>
							
						</tr>
						<tr>
							<th>Classroom details:</th>
							<td><form:textarea path="details"/></td>
							<td><form:errors path="details" cssClass="error"/></td>
						</tr>
						<tr>
							<th></th><td><input type="submit" value="Create"></td>
						</tr>
					</table>
					<br />
				</form:form>
			</div>
		</div>
		<br>
	</body>
</html>