<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	
	</head>
	<body>	
		<fieldset>
			<div class="btnset">
				<h1>Classroom details</h1>
				<br><br>
			</div>
		</fieldset>
		<br>
		<br>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#available">Exams in classroom</a></li>
			</ul>
			<div id="available">
				<input id="classId" type="hidden" value="${classId}" >
				<table>
					<c:if test="${myExams.isEmpty()}">
						<tr>
							<td><b>You have no exams added yet.</b></td>
						</tr>
					</c:if>
					<c:if test="${!myExams.isEmpty()}">
						<tr>
							<th>#</th>
							<th>Label</th>
							<th>Subject</th>
						</tr>
					</c:if>
					<c:forEach items="${myExams}" var="exam" varStatus="i">
						<tr>
							<td>${i.index+1}</td>
							<td>${exam.examTitle} </td>
							<td>${exam.subjectTitle}</td>
						</tr>
					</c:forEach>
				</table>
			</div>
		</div>
		
		<br>
		
		<div class="tabs">
			<ul>
				<li><a href="#users">Users in classroom</a></li>
			</ul>
			<div id="users">
				<table>
					<c:if test="${Users.isEmpty()}">
						<tr>
							<td><b>No users in this classroom.</b></td>
						</tr>
					</c:if>
					<c:if test="${!Users.isEmpty()}">
						<tr>
							<th>#</th>
							<th>UID</th>
							<th>Nickname</th>
						</tr>
					</c:if>
					<c:forEach items="${Users}" var="user" varStatus="i">
						<tr>
							<td>${i.index+1}</td>
							<td>${user.id}</td>
							<td><a href="/webapp/profileView/${user.id}">${user.nickName}</a></td>
						</tr>
					</c:forEach>
				</table>
			</div>
		</div>


		<br>
	</body>
</html>