<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

		<script type="text/javascript">
		$(function() {
			$(".detail").click(function(){
				location.href = "/webapp/examResultDetail/" + $(this).find(".result").val();
			});
			$("#manage").click(function () {
				$("#manage").prop("checked", false);
				location.href = "/webapp/classroomManage/" + $("#classId").val();
			});
		});
		</script>
	</head>
		<body>

			<fieldset>
				<div class="btnset">
					<h1>Classroom results</h1>
					<input id="manage" type="radio"><label for="manage">Classroom management</label>
					<input id="results" type="radio" checked="checked"><label for="results">Classroom exam results</label>
				</div>
			</fieldset>
			<br>
			<br>
			<br>
			<br>
			<input id="classId" type="hidden" value="${classId}" >
			<div class="tabs">
				<ul>
					<li><a href="#results">Classroom results</a></li>
				</ul>
				<div id="results">
				<table>
					<c:if test="${results.isEmpty()}">
						<ins>No classroom exam results available.</ins>
					</c:if>
					<c:if test="${!results.isEmpty()}">
						<tr>
							<th>#</th>
							<th>Label</th>
							<th>User</th>
							<th>Subject</th>
							<th>Taken</th>
						</tr>
					</c:if>
					<c:forEach items="${results}" var="item" varStatus="i">
						<tr>
							<td>${i.index+1}</td>
							<td>${item.exam.examTitle}</td>
							<td><a href="/webapp/profileView/${item.owner.id}">${item.owner.nickName}</a> </td>
							<td>${item.exam.subjectTitle}</td>
							<td><fmt:formatDate pattern="dd.MM.yyyy k:mm" value="${item.takenDate}" /></td>
							<td><span class="ui-icon ui-icon-search ui-button ui-corner-all detail"><input class="result" type="hidden" value="${item.resultId}"/></span></td>
						</tr>
					</c:forEach>
				</table>
				</div>
			</div>
			<br>
			
		</body>
</html>