<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

		<style>
		#findTable td {
			text-align: right;
		}
		td {
			text-align: center;
		}
		.active {
			color: white;
		}


		</style>
		<script type="text/javascript">
		$(function() {
			$( ".remove" ).click(function(){
				window.location.href = "/webapp/classroomRemove/" + $(this).find(".class").val();
			});
			$( ".detail" ).click(function(){
				window.location.href = "/webapp/classroomDetails/" + $(this).find(".class").val();
			});
			$( "owned" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "/webapp/classroomManage";
			});
			$( "#owned" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "/webapp/classroomOwned";
			});
			$( "#create" ).click(function(){
				$( this ).prop("checked", false);
				window.location.href = "/webapp/classroomCreate";
			});
		});
		</script>
	</head>
		<body>

			<fieldset>
				<div class="btnset">
					<h1>Assigned classrooms</h1>
					<input id="show" type="radio" checked="checked"><label for="show">Show classrooms</label>
					<input id="owned" type="radio"><label for="owned">Show owned classrooms</label>
					<input id="create" type="radio"><label for="create">Create new classroom</label>
				</div>
			</fieldset>
			<br>
			<br>
			<div class="tabs">
				<ul>
					<li><a href="#assigned">Assigned classes</a></li>
				</ul>
				<div id="assigned">
					<table>
					  <c:if test="${classes.isEmpty() }">
						  <ins>Not assigned to any classroom.</ins>
					  </c:if>	  
					  <c:if test="${!classes.isEmpty() }">
						  <tr>
						    <th>#</th>
						    <th>Classroom label</th>
						    <th>Classroom owner</th>
						  </tr>
					  </c:if>
					  <c:forEach items="${classes }" var="clas" varStatus="i">
						  <tr>
						  	<td>${i.index+1}</td>
						    <td>${clas.label}</td>
						    <td>${clas.owner.nickName}</td>
						    <td>
								<span class="ui-icon ui-icon-search ui-button ui-corner-all detail"><input class="class" type="hidden" value="${clas.classroomId}"/></span>
								<span class="ui-icon ui-icon-circle-close ui-button ui-corner-all remove"><input class="class" type="hidden" value="${clas.classroomId}"/></span>
							</td>			
						  </tr>
					  </c:forEach>
					</table>
				</div>
			</div>
			<br>
			
		</body>
</html>