<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>


		
		<script type="text/javascript">
		$(function() {
			$( ".remove:first" ).hide();

	
			$( "#add" ).click(function() {
				$(".option:first").clone().find(".optionText").val("").attr("name", "optionList[" + $(".optionText").size() + "].optionText").attr("id","").end().find(".correct").attr("name", "optionList[" + $(".optionText").size() + "].isCorrect").prop("checked", false).end().insertAfter(".option:last").find(".remove").show().click(function() {
					$( this ).parents(".option").empty();
					
				}).end().find(".correct").click(function() {
					$(".correct").each(function(){
						$(this).prop("checked", false);
					});
					$(this).prop("checked", true);
				});
			});
			$("#navigate").click(function () {
				$("#navigate").prop("checked", false);
				location.href = "/webapp/navigateChapters/" + ${examId} + "/" + ${chapterId};
			});
			$("#editChapter").click(function () {
				$("#editChapter").prop("checked", false);
				location.href = "/webapp/chapterEdit/" + ${examId} + "/" + ${chapterId};
			});
			$(".correct").click(function() {
				$(".correct").each(function(){
					$(this).prop("checked", false);
				});
				$(this).prop("checked", true);
			});

		});
		</script>
		<script type="text/javascript">
		
		$(function() {

			$(".sh").click(function() {
			
				$("#dialog").dialog({ autoOpen: false });
				var questionId = $(this).find(".question").val();
				var title = $(this).parent().parent().find(".label").text();
				$.ajax({
					type: "POST",
					dataType: "json",
					contentType: "application/json; charset=utf-8",
					data: JSON.stringify(questionId),
					url: "/webapp/showQuestion",
					statusCode: { 
						200: function(msg) {
							console.log(title);
							$("#dialog").dialog({ title: title});
							$("#dialog").dialog("open");
							var txt = "<table><tr><th>Description:</th><td>" + msg.description + "</td></tr></table><br><hr>";
							txt += "<table><tr><th></th><th>Option text</th><th>Correct?</th><tr>";
							for (var i = 0; i < msg.optionList.length; i++) {
								txt += "<tr><th>" + (i+1) +". Option</th><td>" + msg.optionList[i].optionText + "</td>";
								txt += "<td>" + ((msg.optionList[i].isCorrect) ? "yes" : "no") + "</td></tr>";
							};
							txt += "</table>";
							$("#dialog").html(txt);
						}
					}
				});
			});
			
			$(".edit").click(function() {
				
				$("#dialog").dialog({ autoOpen: false });
				var questionId = $(this).find(".question").val();
			
				$.ajax({
					type: "POST",
					dataType: "json",
					contentType: "application/json; charset=utf-8",
					data: JSON.stringify(questionId),
					url: "/webapp/showQuestion",
					statusCode: { 
						200: function(msg) {
							$("#dialog").dialog({ title: "Editing question: " + msg.label, width: 370});
							$("#dialog").dialog("open");
							var txt = "<form method='POST'><br>";
							txt += "<input name='questionId' type='hidden' value='" + questionId + "'>"
							txt += "<table><tr><th>Question label:</th><td><input name='editLabel' type='text' value='" + msg.label + "'></td></tr>"
							txt += "<tr><th>Description:</th><td><textarea name='editDescr'>" + msg.description + "</textarea></td></tr>";
							txt += "</table><br>"
							txt += "<hr><table id='edit'><th></th><th>Option text</th><th>Correct?</th>";
							for (var i = 0; i < msg.optionList.length; i++) {
								txt += "<tr><th>" + (i+1) +". Option</th><td><input name='editId' type='hidden' value='" + msg.optionList[i].optionId + "'><input name='editText' type='text' value='" + msg.optionList[i].optionText + "'></td>";
								txt += "<td><input name='correctId' type='radio'value='" + msg.optionList[i].optionId + "' " + ((msg.optionList[i].isCorrect) ? "checked='checked' " : "") + "></td></tr>";
							};
							txt += "<td></td><td></td><td><input name='option' type='submit' value='Save changes'></td>";
							txt += "</table></form>";
							$("#dialog").html(txt);
						}
					}
				});
			});
		
			$(".rem").click(function() {
				
				if (confirm("This will delete question. Continue?")) {

					var questionId = $(this).find(".question").val();	
					$.ajax({
						type: "POST",
						dataType: "json",
						contentType: "application/json; charset=utf-8",
						data: JSON.stringify(questionId),
						url: "/webapp/removeQuestion",
						statusCode: { 
							200: function(msg) {
								location.reload();
							}	
						}	
					});	
				};
			});
			
		});
		</script>
		<style type="text/css">
		h2{
			text-align: center;
			font-variant: small-caps;
			color: #000;
		}
		th {
			text-align: right;
		}
		td {
			text-align: center;
		}
		#edit th {
			text-align: center;
		}

		</style>

	</head>
	<body>

		<fieldset>			
			<div class="btnset">
				<h1>Adding to exam: <em>${current.exam.examTitle}</em></h1>
				<input id="manage" type="radio" checked="checked"><label for="manage">Add exam data</label>
				<input id="navigate" type="radio"><label for="navigate">Chapter navigation</label>
				<input id="editChapter" type="radio"><label for="editChapter">Edit chapter</label>
			</div>	
		</fieldset>
		<br>
		<br>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#questions">Questions in ${current.chapterTitle}</a></li>
			</ul>
			<div id="questions">
				<table>
					<c:if test="${questions.isEmpty()}">
						<tr>
							<td><b>No questions in this chapter.</b></td>
						</tr>
					</c:if>
					<c:if test="${!questions.isEmpty()}">
						<tr>
					    	<th>#</th>
					    	<th>Label</th>
					    	<th>Description</th>
					    	<th>Actions</th>
						</tr>
					</c:if>
					<c:forEach items="${questions}" var="item" varStatus="i">
						<tr>
					  		<td>${i.index+1}</td>
					    	<td class="label">${item.label}</td>
	
					    	<c:if test="${item.description.length() <= 10}">
					    		<td>${item.description}</td>
					    	</c:if>
					    	<c:if test="${item.description.length() > 10}">
						    	<td>${fn:substring(item.description, 0, 10)}...</td>
					    	</c:if>
		
					    	<td>
								<span class="ui-icon ui-icon-newwin ui-button ui-corner-all sh"><input class="question" type="hidden" value="${item.questionId}"/></span>
								<span class="ui-icon ui-icon-pencil ui-button ui-corner-all edit"><input class="question" type="hidden" value="${item.questionId}"/></span>
								<span class="ui-icon ui-icon-trash ui-button ui-corner-all rem"><input class="question" type="hidden" value="${item.questionId}"/></span>
							</td>
						</tr>
					</c:forEach>
				</table>
			</div>
		</div>
		<br/>
		<br/>
		<div class="tabs">
			<ul>
				<li><a href="#question">Add question</a></li>
				<li><a href="#chapter">Add sub-chapter</a></li>
			</ul>
			<div id="dialog"></div>
			<div id="question">
				<p>Currently inserting to chapter: <b>${current.chapterTitle}</b></p>
				<br>
				<form:form method="POST" modelAttribute="Question"  acceptCharset="utf-8">
					<table>
						<tr>
							<th>Label</th>
							<td><form:input path="label"  value="${fn:toUpperCase(fn:substring(current.chapterTitle, 0 , 5))}${questions.size() + 1}" /> </td>
						</tr>

						<tr>
							<th>Description</th>
							<td><form:textarea path="description"/></td>
						</tr>
					</table>
					
					<br/>
					<br/>
					
					<table>
						<tr>
							<th>Option text</th>
							<th>Correct?</th>
						</tr>
		
						<tr class="option">				
							<td><form:input class="optionText" path="optionList[0].optionText"  /></td>
							<td><form:radiobutton name="radios" class="correct" path="optionList[0].isCorrect" label="Correct?" value="true"/></td>
							<td><input type="button" class="remove" value="-" /></td>
						</tr>
						<tr>
							<td><input type="button" id="add" value="+" /></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
							<td><input name="question" type="submit" value="Insert Question" /> </td>
						</tr>
					</table>
				</form:form>
			</div>
			<div id="chapter">
				<form:form modelAttribute="chapterForm" method="POST" acceptCharset="utf-8">	
					<p>Currently inserting to chapter: <b>${current.chapterTitle}</b></p>
					<table>
						<tr>
							<th>Chapter title</th>
						</tr>
						<tr>
							<td><form:input path="chapterTitle" /></td>
							<td><input name="chapter" type="submit" value="Add chapter"/></td>
							<td><form:errors path="chapterTitle" cssClass="error"/></td>
							
						</tr>
					</table>
				</form:form>
			</div>
		</div>
	</body>
</html>