<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
	</head>
	<body>
		<h1>${chapter.exam.examTitle} </h1>
		<div class="tabs">
			
			<ul>
			    <li><a href="#window">${chapter.chapterTitle }</a></li>
			</ul>
			
			<div id="window">
			<b>Question ${question.label}:</b>
			<p>
			${question.description}
			</p>
			<form:form modelAttribute="answer" method="POST">
				<input name="questionId" type="hidden" value="${question.questionId}">
				<br>
				<form:radiobuttons delimiter="<br><br>" items="${options}" itemLabel="optionText" itemValue="optionId" path="selectedId"/>
				<br>
				<br>
				<input type="submit" value="Submit answer">
			</form:form>


			</div>
		</div>

	</body>
</html>