<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>

	</head>

	<script type="text/javascript">
		$(function() {
			$("#viewExams").click(function () {
				location.href = "/webapp/takeExam/";
			});
			$("#results").click(function () {
				$("#results").prop("checked", false);
				location.href = "/webapp/resultView/";
			});
		});
	</script>
	<style type="text/css">

	</style>
	<body>
		<fieldset>
			<div class="btnset">
				<h1>Take exam</h1>
				<input id="viewExams" type="radio" checked="checked"><label for="viewExams">Available exams</label>
				<input id="results" type="radio"><label for="results">Exam results</label>
			</div>
		</fieldset>	
		<br>
		<br>
		<br>
		<br>
		<div class="tabs">
			<ul>
				<li><a href="#classroomExams">Classroom exams</a></li>
				<li><a href="#publicExams">Browse public exams</a></li>
			</ul>
			<div id="classroomExams">
				<table>
					<c:if test="${classExams.isEmpty()}">
						<ins>No available exams.</ins>
					</c:if>
					<c:if test="${!classExams.isEmpty()}">
						<tr>
							<th>Label</th>
							<th>Subject</th>
						</tr>
					</c:if>
					<c:forEach items="${classExams}" var="exam">
						<tr>
							<td>${exam.examTitle}</td>
							<td>${exam.subjectTitle}</td>
							<td><a href="/webapp/examDetail/${exam.examId}">Exam</a></td>
						</tr>
					</c:forEach>
				</table>
			</div>
			<div id="publicExams">
				<table>
					<c:if test="${exams.isEmpty()}">
						<ins>No available exams.</ins>
					</c:if>
					<c:if test="${!exams.isEmpty()}">
						<tr>
							<th>Label</th>
							<th>Subject</th>
						</tr>
					</c:if>
					<c:forEach items="${exams}" var="exam">
						<tr>
							<td>${exam.examTitle}</td>
							<td>${exam.subjectTitle}</td>
							<td><a href="/webapp/examDetail/${exam.examId}">Start Exam</a></td>
						</tr>
					</c:forEach>
				</table>
			</div>
		</div>
	</body>
</html>