<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/ui-darkness/jquery-ui-1.10.4.custom.css" rel="stylesheet" />
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-1.10.2.js"></script>
		<script type="text/javascript" src="${pageContext.request.contextPath}/resources/js/jquery-ui-1.10.4.custom.js"></script>
		<script type="text/javascript">
		$(function(){
			$( "#tab" ).tabs();
		});
		</script>
		<style type="text/css">
			.error {
				font-weight: bolder;
				color: red;
				font-family: sans-serif;
			}
		</style>
	</head>
	<body>
		<div id="tab">
			<ul>
				<li><a href="#regForm">Register user</a></li>
			</ul>
			<div id="regForm">
				<form:form modelAttribute="User" method="POST">
					<table>

						<tr>
						    <th>Nickname</th> <td><form:input path="nickName"/></td> <td><form:errors path="nickName" cssClass="error"/></td>
						</tr>
						<tr>
						    <th>Password</th> <td><form:password path="password"/></td> <td><form:errors path="password" cssClass="error"/></td>
						</tr>
						<tr>
						    <th>Email</th> <td><form:input path="email"/></td> <td><form:errors path="email" cssClass="error"/></td>
						</tr>
						<tr>
							<td></td> <td><input type="submit" value="Register"/></td>
						</tr>
					</table>
				</form:form>
			</div>
		</div>
	</body>	
</html>