<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>

<head>
	<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<style>
		
		#header{
			font-size: x-large;
			font-family: fantasy;
			color: silver;
			text-shadow: 10px;
			font-weight: lighter;
		}
		
		#logout{
			font-size: small;
			font-family: sans-serif;
			font-style: oblique;
			font-weight: bold;
			text-align: right;
			padding-right: 10px;
		}
		
		#status{		
			padding-left: 10px;
			font-size: small;
			font-family: sans-serif;
			font-style: oblique;
			font-weight: bold;	
			text-align: left;
		}
		#status strong{
			color: black;
		}

	</style>
</head>
<body>
	<sec:authorize access="!isAnonymous()">
		<div id="logout">
			<a href="/webapp/logout">LOGOUT</a>
		</div>
	</sec:authorize>
	<h1 id="header">ADAPTIVE EXAMINATION WEB APPLICATION</h1>
	<sec:authorize access="!isAnonymous()">
		<div id="status">
			Logged as: <strong><sec:authentication property="principal.nickName" /></strong>
		</div>
	</sec:authorize>
</body>



